## org.eclipse.datatools.connectivity.oda.design
Interface DataElementUIHints

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DataElementUIHints

extends org.eclipse.emf.ecore.EObject

UI hints for a data element.

The following features are supported:

- `Display Name`
- `Description`

See Also:
  `DesignPackage.getDataElementUIHints()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`java.lang.String` `getDescriptionKey()` Returns the resource key of the 'Description' attribute.
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`java.lang.String` `getDisplayNameKey()` Returns the resource key of the 'Display Name' attribute.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setDescriptionKey(java.lang.String value)` Sets the resource key of the '`Description`' attribute.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setDisplayNameKey(java.lang.String value)` Sets the resource key of the '`Display Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDisplayName

    java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. Business name of the data element. Text can be localized with a resource key.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getDataElementUIHints_DisplayName()`, `getDisplayNameKey()`

### setDisplayName

    void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`, `setDisplayNameKey(String)`

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Returns the resource key of the 'Display Name' attribute.

  Returns:
    the resource key of the 'Display Name' attribute; may be null if none is available
  Since:
    3.2.3
  See Also:
    `setDisplayNameKey(String)`, `getDisplayName()`, `DataSourceDesign.getResourceFile()`

### setDisplayNameKey

    void setDisplayNameKey(java.lang.String value)

  Sets the resource key of the '`Display Name`' attribute.

  Parameters:
    `value` - the new resource key of the 'Display Name' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getDisplayNameKey()`, `setDisplayName(String)`, `DataSourceDesign.getResourceFile()`

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute. More extensive description of the data element. Text can be localized with a resource key.

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `DesignPackage.getDataElementUIHints_Description()`, `getDescriptionKey()`

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`, `setDescriptionKey(String)`

### getDescriptionKey

    java.lang.String getDescriptionKey()

  Returns the resource key of the 'Description' attribute.

  Returns:
    the resource key of the 'Description' attribute.
  Since:
    3.2.3
  See Also:
    `setDescriptionKey(String)`, `getDescription()`, `DataSourceDesign.getResourceFile()`

### setDescriptionKey

    void setDescriptionKey(java.lang.String value)

  Sets the resource key of the '`Description`' attribute.

  Parameters:
    `value` - the new resource key of the 'Description' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getDescriptionKey()`, `setDescription(String)`, `DataSourceDesign.getResourceFile()`